[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPCustomHashTable.Destroy

Free the hash table.

## Declaration

Source position: contnrs.pp line 385

`public destructor TFPCustomHashTable.Destroy; override;`

## Description

Destroy removes the hash table from memory. If any data was associated with the keys in the hash table, then this data is not freed. This must be done by the programmer.

## See also

Destroy |  | Free the hash table.
Create |  | Instantiate a new TFPCustomHashTable instance using the default hash mechanism
CreateWith |  | Instantiate a new TFPCustomHashTable instance with given algorithm and size